
GammaLib - Action #818

Feature # 692 (Closed): Perform an extensive interface review of all classes

Add chatter level to print() methods

04/06/2013 01:30 PM - Knödlseder Jürgen

Status: Closed Start date: 01/12/2013

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-08-00   

Description

To insure a homogenous use of printing throughout GammaLib, an integer argument named chatter shall be added to all print()

methods that instruct the method about the level of information that is requested. The following chattiness shall be implemented:

chatter=0: no information is printed, except of errors

chatter=1: Level terse. Only summary information is printed.

chatter=2: Level normal. Normal level of information, useful for understanding the class content.

chatter=3: Level explicit. Detailed information, useful for understanding the inner workings of the classes.

chatter=4: Level verbose. Produces the maximum information, useful for debugging.

chatter=2 is the default level that shall be taken if no argument is passed.

A homogenous implementation of the chatter levels should be aimed for among all classes.

The GLog class shall have a m_chatter member that sets the default chattiness for the logger. In that way, the logger can control the

chattiness of the class output, providing a homogenous information handling in GammaLib applications.

History

#1 - 04/06/2013 01:40 PM - Knödlseder Jürgen

- Description updated

#2 - 04/07/2013 06:33 PM - Knödlseder Jürgen

- Status changed from New to In Progress

#3 - 04/07/2013 06:33 PM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

#4 - 04/08/2013 06:14 PM - Knödlseder Jürgen

- % Done changed from 0 to 80

A GChatter enumerator has been defined in the new GTypemaps.hpp file:

typedef enum {

    SILENT = 0,

    TERSE = 1,

    NORMAL = 2,

    EXPLICIT = 3,

    VERBOSE = 4

} GChatter;

This enumerator is not used as argument in all print() method. This paths the way to implement chatter control in the GLog class.
#5 - 04/08/2013 10:26 PM - Knödlseder Jürgen

- Status changed from In Progress to Feedback

- % Done changed from 80 to 100

- Remaining (hours) set to 0.0

Chatter control has now been implemented in GLog and GApplication. The feature is considered as closed, although implementation of different

chatter levels in most of the print() methods still needs to be done. But the infrastructure is now there ...

#6 - 12/03/2013 09:59 AM - Knödlseder Jürgen

- Status changed from Feedback to Closed

- Estimated time set to 0.00
